summaryrefslogtreecommitdiffstats
path: root/package/supervisor/S99supervisord
diff options
context:
space:
mode:
authorJonathan Liu <net147@gmail.com>2012-08-11 17:12:06 +1000
committerThomas Petazzoni <thomas.petazzoni@free-electrons.com>2012-08-11 22:59:12 +0200
commit380ff787d95f9fa36a73503fd3ac6d5c40a5e6bc (patch)
tree3137eefcf78713cb6e5523c6b862d1307584759c /package/supervisor/S99supervisord
parent1ff74a535d9c5e7e7f996eb9b8d8f83f8af44f1e (diff)
downloadbuildroot-novena-380ff787d95f9fa36a73503fd3ac6d5c40a5e6bc.tar.gz
buildroot-novena-380ff787d95f9fa36a73503fd3ac6d5c40a5e6bc.zip
supervisor: new package
[thomas.petazzoni@free-electrons.com: Fixup indentation of Config.in file. Add 'depends on BR2_PACKAGE_PYTHON' so that the package does not appear when the Python interpreter is not enabled. Add license files information, but not the license tag: the package includes software under multiple licenses.] Signed-off-by: Jonathan Liu <net147@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/supervisor/S99supervisord')
-rwxr-xr-xpackage/supervisor/S99supervisord29
1 files changed, 29 insertions, 0 deletions
diff --git a/package/supervisor/S99supervisord b/package/supervisor/S99supervisord
new file mode 100755
index 000000000..0856d65a5
--- /dev/null
+++ b/package/supervisor/S99supervisord
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+mkdir -p /var/log/supervisor
+
+case "$1" in
+ start)
+ echo -n "Starting supervisord: "
+ start-stop-daemon -S -q -p /var/run/supervisord.pid --exec /usr/bin/supervisord
+ echo "done"
+ ;;
+ stop)
+ echo -n "Stopping supervisord: "
+ start-stop-daemon -K -q -p /var/run/supervisord.pid
+ echo "done"
+ ;;
+ restart)
+ "$0" stop
+ sleep 5
+ "$0" start
+ ;;
+ reload)
+ start-stop-daemon -K -q -p /var/run/supervisord.pid -s HUP
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+esac
+
+exit $?